using System;
using System.Threading.Tasks;
using Grpc.Net.Client;
using SportGrpc;

namespace SportGrpcClient
{
    class Program
    {
        static async Task Main(string[] args)
        {
            // The port number(5001) must match the port of the gRPC server.
            using var channel = GrpcChannel.ForAddress("https://localhost:5001");
            var client =  new Atleet.AtleetClient(channel);
            var reply = await client.GetAtleetAsync(new AtleetRequest { Id = 1 });
            Console.WriteLine("Antwoord: " + reply.Naam);
        }
    }
}